MUCRoom::MUCUser Class Reference

`#include <mucroom.h>`

Inheritance diagram for MUCRoom::MUCUser:
[legend]

## Public Member Functions

| MUCUser (MUCUserOperation operation, const std::string &to, const std::string &reason, const std::string &thread=EmptyString)
| MUCUser (const Tag *tag=0)
virtual | ~MUCUser ()
int | flags () const
MUCRoomAffiliation | affiliation () const
MUCRoomRole | role () const
const std::string * | alternate () const
bool | continued () const
MUCUserOperation | operation () const
virtual const std::string & | filterString () const
virtual StanzaExtension * | newInstance (const Tag *tag) const
virtual Tag * | tag () const
virtual StanzaExtension * | clone () const
Public Member Functions inherited from StanzaExtension
| StanzaExtension (int type)
virtual | ~StanzaExtension ()
virtual Stanza * | embeddedStanza () const
virtual Tag * | embeddedTag () const
int | extensionType () const

## Detailed Description

An abstraction of a MUC user query.

You should not need to use this class directly.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 201 of file mucroom.h.

## Constructor & Destructor Documentation

## MUCUser() [1/2]

MUCUser | ( | MUCUserOperation | operation,
|  | const std::string & | to,
|  | const std::string & | reason,
|  | const std::string & | thread = EmptyString )

Constructor.

Parameters

  operation | An operation to perform.
  to | The recipient.
  reason | The reason for the operation.
  thread | If this is an invitation, and if the invitation is part of a transformation of a one-to-one chat to a MUC, include the one-to-one chat's thread ID here. Defaults to the empty string (i.e. not a continuation).

Definition at line 298 of file mucroom.cpp.

## MUCUser() [2/2]

MUCUser | ( | const Tag * | tag = 0 | ) |

Constructs a new MUCUser object from the given Tag.

Parameters

  tag | The Tag to parse.

Definition at line 309 of file mucroom.cpp.

## ~MUCUser()

~MUCUser | ( |  | ) |

virtual

Virtual destructor.

Definition at line 415 of file mucroom.cpp.

## Member Function Documentation

## affiliation()

MUCRoomAffiliation affiliation | ( |  | ) | const

inline

Returns the user's current room affiliation.

Returns
  The user's current room affiliation.

Definition at line 237 of file mucroom.h.

## alternate()

const std::string * alternate | ( |  | ) | const

inline

Returns an alternate venue, if set.

Returns
  An alternate venue, if set.

Definition at line 279 of file mucroom.h.

## clone()

virtual StanzaExtension * clone | ( |  | ) | const

inline virtual

Returns an identical copy of the current StanzaExtension.

Returns
  An identical copy of the current StanzaExtension.

Implements StanzaExtension.

Definition at line 306 of file mucroom.h.

## continued()

bool continued | ( |  | ) | const

inline

Whether or not the 'continue' flag is set.

Returns
  Whether or not the 'continue' flag is set.

Definition at line 285 of file mucroom.h.

## filterString()

const std::string & filterString | ( |  | ) | const

virtual

Returns an XPath expression that describes a path to child elements of a stanza that an extension handles.

Returns
  The extension's filter string.

Implements StanzaExtension.

Definition at line 450 of file mucroom.cpp.

## flags()

int flags | ( |  | ) | const

inline

Returns the current room flags.

Returns
  The current room flags.

Definition at line 231 of file mucroom.h.

## newInstance()

virtual StanzaExtension * newInstance | ( | const Tag * | tag | ) | const

inline virtual

Returns a new Instance of the derived type. Usually, for a derived class FooExtension, the implementation of this function looks like:

StanzaExtension* FooExtension::newInstance( const Tag* tag ) const
{
return new FooExtension( tag );
}
gloox::MUCRoom::MUCUser::tag
virtual Tag * tag() const
Definition mucroom.cpp:457
gloox::StanzaExtension::StanzaExtension
StanzaExtension(int type)
Definition stanzaextension.h:211
gloox::Tag
This is an abstraction of an XML element.
Definition tag.h:47

Returns
  The derived extension's new instance.

Implements StanzaExtension.

Definition at line 297 of file mucroom.h.

## operation()

MUCUserOperation operation | ( |  | ) | const

inline

Returns the current operation.

Returns
  The current operation.

Definition at line 291 of file mucroom.h.

## role()

MUCRoomRole role | ( |  | ) | const

inline

Returns the user's current room role.

Returns
  The user's current room role.

Definition at line 243 of file mucroom.h.

## tag()

Tag * tag | ( |  | ) | const

virtual

Returns a Tag representation of the extension.

Returns
  A Tag representation of the extension.

Implements StanzaExtension.

Definition at line 457 of file mucroom.cpp.

The documentation for this class was generated from the following files:

- mucroom.h
- mucroom.cpp